/*
fv
================================================ */



/*.mv-title {
  position: absolute;
  z-index: 3;
  color: white;
  text-align: center;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
    font-size: 3.6vw;
    width: 100%;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.6);
    
    opacity: 0;
  transition: opacity 1s ease-out;
}

.mv-overlay.active .mv-title {
  opacity: 1;
}

.mv {
  position: relative;
  width: 100%;
  overflow: hidden;
  margin-top: 48px;
  aspect-ratio: 16 / 9;
}
.mv video {    
    position: absolute;
    width: 100%;
    
    opacity: 0; 
  transition: opacity 1s ease-in;
}


.mv::before {
  content: "";
  position: absolute;
  inset: 0;

  background-repeat: repeat;
  opacity: 0.3;
  z-index: 2;
  pointer-events: none;
      background-image: radial-gradient(#000 2px, transparent 2px);
    background-size: 4px 4px;
    background-color: rgba(0, 0, 0, 0.2);
}

.mv-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 2;
    opacity: 0;
  transition: opacity 1s ease-in;
}

.mv-overlay::before {
  content: "";
  position: absolute;
  inset: 0;

  background-repeat: repeat;
  opacity: 0.3;
  z-index: 2;
  pointer-events: none;
      background-image: radial-gradient(#000 2px, transparent 2px);
    background-size: 4px 4px;
    background-color: rgba(0, 0, 0, 0.2);
}

@keyframes fadeOutIntro {
  to {
    opacity: 0;
    visibility: hidden;
  }
}

*/
.mv {
  position: relative;
  width: 100%;
  overflow: hidden;
  margin-top: 48px;
  aspect-ratio: 16 / 9;
}

.mv-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
      z-index: auto;
  opacity: 0; /* 最初は非表示 */
  transition: opacity 1s ease-out; /* 画像のふわっと表示 */
}

@keyframes zoomInSlow {
  0% {
    transform: scale(1);
  }
  100% {
    transform: scale(1.1);
  }
}

.mv-overlay img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  opacity: 0;
  transition: opacity 1s ease-out;
  animation: zoomInSlow 6s ease-out forwards;
}

.mv-title {
  position: absolute;
  z-index: 5; /* タイトルは画像より前に */
  color: white;
  text-align: center;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 3.6vw;
  width: 100%;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.6);
  opacity: 0; /* 最初は非表示 */
  transition: opacity 1s ease-out; /* タイトルのふわっと表示 */
    
}

.mv video {
  position: absolute;
  width: 100%;
  opacity: 0; /* 最初は非表示 */
  transition: opacity 1s ease-in; /* 動画のふわっと表示 */
}

.mv::after {
  content: "";
  position: absolute;
  inset: 0;
  background-repeat: repeat;
  opacity: 0.3;
  z-index: 4; /* 画像やタイトルの後ろに表示 */
  pointer-events: none;
  background-image: radial-gradient(#000 2px, transparent 2px);
  background-size: 4px 4px;
  background-color: rgba(0, 0, 0, 0.2);
  transition: opacity 1s ease-out; /* 編みかけがふわっと表示される */
    
}
.mv.show-video::after {
  opacity: 0;
}
@media (max-width: 768px) {
.mv {
    margin-top: 60px;}
.mv-title {
    font-size: 5vw;
    padding: 0 20px;
    }
.mv::after {
    background-image: radial-gradient(#000 1px, transparent 1px);
    background-size: 2px 2px;
}
}
@media (max-width: 599px) {
.mv-title {
    font-size: 5vw;
    padding: 0 15px;
    }
}
/*
about
================================================ */
.about h1{
            text-align: center;
            margin: 60px auto 30px;
            text-wrap: balance;
            line-height: 1.6;
            font-size: 18px;
          } 

.about_title{
	display: block;
	margin: 0 auto;
	margin-top: 120px;
	width: 205px;
}

.about_text{
	margin-top: 36px;
	font-size: 18px;
	text-align: center;
	line-height: 1.6;
}

.about_thumb{
	margin: 0 auto;
	margin-top: 40px;
	width: 800px;
}

.about a{
	transition: all .2s;
}

.about a:hover{
	opacity: .7;
}

.movie{
	margin-top: 120px;
}

@media screen and (min-width: 768px) and (max-width: 1024px){
	.about_thumb{
		margin-top: 16px;
		width: 600px;
	}
}

@media screen and (max-width: 767px){
    .about h1{
            font-size: 15px;
          }    
	.about_title{
        margin-top: 60px;
		width: 100px;
	}

	.about_text{
		padding-inline: 4%;
		font-size: 15px;
	}

	.about_thumb{
		width: 92%;
		margin-top: 16px;
	}

	.movie {
        margin-top: 80px;
    }
}

/*
product
================================================ */
.product{
	margin-top: 160px;
}

.product_thumb > img{
	aspect-ratio: 16 / 9;
	width: 100%;
	height: 100%;
	object-fit: cover;
}

.product_list{
	margin-top: 40px;
	display: flex;
	justify-content: center;
}

.product_item{
	width: calc(100% / 4);
	background: linear-gradient(#1A2131, #8A8D91);
	color: var(--white);
	position: relative;
}

.product_item:nth-of-type(n+2){
	border-left: 1px solid var(--white);
}

.product_title{
	margin-top: 36px;
	font-size: 36px;
	text-align: center;
}

.product_title > span{
	display: block;
	font-size: 16px;
	font-weight: 400;
	margin-top: 4px;
}

.product_text{
	padding-inline: 10%;
	padding-bottom: 20px;
	margin-top: 36px;
	font-size: 16px;
	text-align: justify;
	line-height: 1.5;
}

.product_link{
	display: flex;
	justify-content: center;
	align-items: center;
	background-color: var(--white);
	margin: 0 auto;
	margin-top: 20px;
	width: 160px;
	height: 40px;
	font-size: 20px;
	border-radius: 9999px;
	text-align: center;
	color: var(--black);
	text-decoration: none;
	margin-bottom: 36px;
	transition: all .3s;
}

.product_link:hover{
	background-color: var(--black);
	color: var(--white);
}

.product_link._absolute{
	position: absolute;
	bottom: 0px;
	left: 50%;
	transform: translateX(-50%);
}

@media screen and (min-width: 768px) and (max-width: 1024px){
	.product_title{
		font-size: 28px;
	}
	
	.product_title > span{
		font-size: 14px;
	}

	.product_text{
		font-size: 14px;
		margin-top: 20px;
	}

	.product_link{
		width: 200px;
	}

	.product_list{
		width: 80%;
		margin: 0 auto;
		margin-top: 16px;
		flex-wrap: wrap;
		gap: 40px;
	}

	.product_item{
		width: calc((100% - 40px) / 2);
	}

	.product_link._absolute{
		position: static;
		transform: translateX(0);
	}
}

@media screen and (max-width: 767px){
	.product{
		margin-top: 80px;
	}

	.product_list{
		width: 91%;
		margin: 0 auto;
		margin-top: 16px;
		flex-direction: column;
		gap: 20px;
	}

	.product_item{
		width: 100%;
	}

	.product_title{
		margin-top: 20px;
		font-size: 24px;
	}

	.product_title > span{
		font-size: 13px;
	}

	.product_text{
		font-size: 14px;
		margin-top: 20px;
	}

	.product_link{
		margin-block: 20px;
		width: 180px;
		height: 36px;
		font-size: 20px;
	}

	.product_link._absolute{
		position: static;
		transform: translateX(0);
	}
}

/*
represent
================================================ */
.represent{
	margin-top: 120px;
}

.represent_list{
	margin-top: 40px;
	display: flex;
	justify-content: space-between;
	gap: 40px;
	flex-wrap: wrap;
}

.represent_item{
	width: calc((100% - 40px) / 2);
}

.represent_link{
	transition: all .2s;
}

.represent_link:hover{
	opacity: .7;
}

.represent_text{
	margin-top: 20px;
	font-size: 18px;
	line-height: 1.4;
	text-align: center;
}

@media screen and (max-width: 767px){
	.represent{
		margin-top: 80px;
	}

	.represent_list{
		flex-direction: column;
		gap: 40px;
		width: 91%;
		margin: 0 auto;
		margin-top: 16px;
	}

	.represent_item{
		width: 100%;
	}

	.represent_text{
		font-size: 15px;
		line-height: 1.4;
		margin-top: 12px;
	}
}










